<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>


<div class="o-wrapper">

  <div class="o-grid">
    <div class="o-grid__col o-grid__col--full">
      <div class="c-archive">
        <h2 class="c-archive__title"><?php $this->archiveTitle(array(
            'category'  =>  _t('分类 %s 下的文章'),
            'search'    =>  _t('包含关键字 %s 的文章'),
            'tag'       =>  _t('标签 %s 下的文章'),
            'author'    =>  _t('%s 发布的文章')
        ), '', ''); ?></h2>
      </div>
    </div>
  </div>


  <div class="o-grid js-grid">

<?php while($this->next()): ?>

    <div class="o-grid__col o-grid__col--4-4-s o-grid__col--2-4-m o-grid__col--1-3-l c-post-card-wrap js-post-card-wrap <?php if ($this->sequence ==1 ): ?>o-grid__col--4-4-m o-grid__col--2-3-l <?php endif; ?>">
      <div class="c-post-card <?php if ($this->sequence ==1 ): ?>c-post-card--first <?php endif; ?>">
        <div class="c-post-card__media">
          <a href="<?php $this->permalink() ?>" class="c-post-card__image js-fadein" style="background-image: url(<?php if (array_key_exists('img',unserialize($this->___fields()))): ?><?php $this->fields->img(); ?><?php else: ?><?php
preg_match_all("/\<img.*?src\=(\'|\")(.*?)(\'|\")[^>]*>/i", $this->content, $matches);
$imgCount = count($matches[0]);
if($imgCount >= 1){
$img = $matches[2][0];
echo <<<Html
{$img}
Html;
}
?><?php endif; ?>)">
          <?php if (array_key_exists('star',unserialize($this->___fields()))): ?>
          <span title="Featured Post">
          <span class="c-post-card--featured__icon" data-icon="ei-star" data-size="s"></span>
          </span>
          <?php endif; ?>
            
          </a>
        </div>
        <div class="c-post-card__content">
          <div class="c-post-card__tags">
            <?php $this->category(' '); ?>
          </div>
          
          <h3 class="c-post-card__title">
          <a href="<?php $this->permalink() ?>" class="c-post-card__title-link">
          <?php $this->title() ?>
          </a>
          </h3>
          <div class="c-post-card__meta">
            <time class="c-post-card__date" datetime="<?php $this->date('c'); ?>" title="21 Dec 2015"><?php $this->date(); ?></time>
            <div class="c-post-card__author">
              <?php $this->author(); ?>
            </div>
          </div>
        </div>
      </div>
    </div>
<?php endwhile; ?>

  </div>

  <div class="o-grid">
  <div class="o-grid__col o-grid__col--center o-grid__col--4-4-s o-grid__col--1-3-l">
    <div class="c-pagination">
      <?php $this->pageLink('<x aria-label="Next" class="c-btn c-btn--full">More Posts</x>','next'); ?>
    </div>
  </div>
  </div>

</div>

<?php $this->need('footer.php'); ?>