<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<!DOCTYPE HTML>
<head>
    <meta charset="<?php $this->options->charset(); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="renderer" content="webkit">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php $this->archiveTitle(array(
            'category'  =>  _t('分类 %s 下的文章'),
            'search'    =>  _t('包含关键字 %s 的文章'),
            'tag'       =>  _t('标签 %s 下的文章'),
            'author'    =>  _t('%s 发布的文章')
        ), '', ' - '); ?><?php $this->options->title(); ?><?php if ($this->
is('index')): ?> - <?php $this->
options->description(); ?><?php endif; ?></title>

    <link rel="stylesheet" href="<?php $this->options->themeUrl('style.css'); ?>">
    <?php $this->header('wlw=&xmlrpc=&rss2=&atom=&rss1=&template=&pingback=&generator'); ?>
</head>
<body class="is-home">

<div class="js-off-canvas-container c-off-canvas-container">

<header class="c-header">
<div class="o-grid">
    <div class="o-grid__col o-grid__col--3-4-s o-grid__col--4-4-m">
            <?php if ($this->options->logoUrl): ?>
        <div class="c-logo">
            <a class="c-logo__link" href="<?php $this->options->siteUrl(); ?>"><img class="c-logo__img" src="<?php $this->options->logoUrl() ?>" alt="<?php $this->options->title() ?>"></a>
        </div>
            <?php else: ?>
        <div class="c-logo">
            <a class="c-logo__link" href="<?php $this->options->siteUrl(); ?>"><?php $this->options->title() ?></a>
        </div>
            <?php endif; ?>
    </div>
    <div class="o-grid__col o-grid__col--1-4-s o-grid__col--3-4-l o-grid__col--full">
        <div class="c-off-canvas-content js-off-canvas-content">
            <label class="js-off-canvas-toggle c-off-canvas-toggle c-off-canvas-toggle--close">
            <span class="c-off-canvas-toggle__icon"></span>
            </label>
            <div class="o-grid">
                <div class="o-grid__col o-grid__col--4-4-s o-grid__col--3-4-l o-grid__col--full">
                    <nav class="c-nav-wrap">
                    <ul class="c-nav o-plain-list">
                        <li class="c-nav__item">
                        <a href="<?php $this->options->siteUrl(); ?>" class="c-nav__link<?php if($this->is('index')): ?> c-nav__link--current"<?php endif; ?>"><?php _e('HOME'); ?></a>
                        </li>
                    <?php $this->widget('Widget_Contents_Page_List')->to($pages); ?>
                    <?php while($pages->next()): ?>
                        <li class="c-nav__item">
                        <a href="<?php $pages->permalink(); ?>" class="c-nav__link<?php if($this->is('page', $pages->slug)): ?> c-nav__link--current<?php endif; ?>"><?php $pages->title(); ?></a>
                        </li>
                    <?php endwhile; ?>
                    </ul>
                    </nav>
                </div>
            </div>
        </div>
        <label class="js-off-canvas-toggle c-off-canvas-toggle" aria-label="Toggle navigation">
        <span class="c-off-canvas-toggle__icon"></span>
        </label>
    </div>
</div>
</header>






    
    
