<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>


<?php if (array_key_exists('img',unserialize($this->___fields()))): ?>

<div class="c-post-hero">
  <div class="o-grid _o-grid--full">
    <div class="o-grid__col o-grid__col--4-4-s o-grid__col--4-4-m o-grid__col--2-3-l">
      <div class="c-post-hero__media">
        <div class="c-post-hero__image js-fadein is-inview full-visible" style="background-image: url(<?php $this->fields->img(); ?>)"></div>
      </div>
    </div>
    <div class="o-grid__col o-grid__col--4-4-s o-grid__col--1-3-m">
      <div class="c-post-hero__content">
        <h1 class="c-post-hero__title"><?php $this->title() ?></h1>
        <time class="c-post-hero__date" datetime="<?php $this->date('c'); ?>"><?php $this->date(); ?></time>
      </div>
    </div>
  </div>
</div>


<?php else: ?>
<div class="o-wrapper">
  <div class="o-grid">
    <div class="o-grid__col o-grid__col--full">
      <div class="c-archive c-archive-noimg">
        <h2 class="c-archive__title"><?php $this->title() ?></h2>
      </div>
    </div>
  </div>
</div>
<?php endif; ?>


<div class="o-wrapper">
  <div class="o-grid">
    <div class="o-grid__col o-grid__col--2-3-m">
      <article class="c-post">
<?php if (array_key_exists('img',unserialize($this->___fields()))): ?><?php else: ?>
      <div class="c-metainfo">
        <time datetime="<?php $this->date('c'); ?>" itemprop="datePublished"><?php $this->date(); ?></time> on <?php $this->category(','); ?>
      </div>
      <hr>
<?php endif; ?> 
      <div class="c-content">
        <?php $this->content(); ?>
      </div>
      <div class="o-grid">
        <div class="o-grid__col o-grid__col--4-4-s o-grid__col--2-4-m o-grid__col--3-4-l">
          <div class="c-tags">
            <?php $this->tags('', true, 'none'); ?>
          </div>
        </div>
        <div class="o-grid__col o-grid__col--4-4-s o-grid__col--1-4-m o-grid__col--1-4-l">
          <ul class="c-share o-plain-list">
            <li class="c-share__item">
            <a class="c-share__link c-share__link--twitter" title="Share on Twitter" href="https://twitter.com/intent/tweet?text=<?php $this->title() ?>" s="" the="" double-truth&url="<?php $this->author->permalink(); ?>'" onclick="window.open(this.href, 'twitter-share', 'width=550, height=235'); return false;">
            <div class="icon icon--ei-sc-twitter icon--s c-share__icon c-share__icon--twitter">
              <svg class="icon__cnt"><use xlink:href="#ei-sc-twitter-icon"></use></svg>
            </div>
            </a>
            </li>
            <li class="c-share__item">
            <a class="c-share__link c-share__link--facebook" title="Share on Facebook" href="https://facebook.com/sharer.php?u=<?php $this->author->permalink(); ?>" onclick="window.open(this.href, 'facebook-share', 'width=580, height=296'); return false;">
            <div class="icon icon--ei-sc-facebook icon--s c-share__icon c-share__icon--facebook">
              <svg class="icon__cnt"><use xlink:href="#ei-sc-facebook-icon"></use></svg>
            </div>
            </a>
            </li>
          </ul>
        </div>
      </div>
      <hr>

<div class="disqus js-disqus">
  <div id="disqus_thread">
    <?php $this->need('comments.php'); ?>
  </div>
</div>

      <hr>
      
      </article>
    </div>
    <div class="o-grid__col o-grid__col--1-3-m">
      <div class="c-sidebar">
        <div class="c-widget c-widget-author">
          <div class="c-widget-author__media">
            <img class="c-widget-author__image" src="https://img.vpsmm.com/images/2018/04/01/e5bd098863a147eff4f937879f25bb68.jpg" alt="Ahmad Ajmi">
          </div>
          <div class="c-widget-author__content">
            <h3 class="c-widget-author__title">小夜
            </h3>
            <p class="c-widget-author__bio">
              资深前端爱好者，目前在烧锅炉。
            </p>
            <div class="c-author__links">
              <ul class="o-plain-list">
                <li class="c-author__links-item">
                <a href="https://github.com/typecho/typecho" aria-label="Github" target="_blank" rel="noopener">
                <div class="icon icon--ei-sc-github icon--s c-author__links-icon">
                  <svg class="icon__cnt"><use xlink:href="#ei-sc-github-icon"></use></svg>
                </div>
                </a>
                </li>
                <li class="c-author__links-item">
                <a href="mailto:m4@m4go.com" aria-label="Email" target="_blank" rel="noopener">
                <div class="icon icon--ei-envelope icon--s c-author__links-icon">
                  <svg class="icon__cnt"><use xlink:href="#ei-envelope-icon"></use></svg>
                </div>
                </a>
                </li>
                <li class="c-author__links-item">
                <a href="https://www.vpsmm.com" aria-label="Website" target="_blank" rel="noopener">
                <div class="icon icon--ei-link icon--s c-author__links-icon">
                  <svg class="icon__cnt"><use xlink:href="#ei-link-icon"></use></svg>
                </div>
                </a>
                </li>
              </ul>
            </div>
          </div>
        </div>

        <div class="c-widget">
          <h5 class="c-widget__title">Recent Posts</h5>
          <?php $this->widget('Widget_Contents_Post_Recent', 'pageSize=5')->to($contents); ?>
<?php while($contents->next()): ?>
          <a href="<?php $contents->permalink() ?>" class="c-teaser">
          <div class="c-teaser__content">
            <h3 class="c-teaser__title"><?php $contents->title() ?></h3>
          </div>
          <div class="c-teaser__media">
            <div class="c-teaser__image js-fadein is-inview full-visible" style="background-image: url(<?php $contents->fields->img(); ?>)" aria-label="Welcome to Jekyll!">
            </div>
          </div>
          </a>
<?php endwhile; ?>
        </div>

        <div class="c-widget">
          <h5 class="c-widget__title">Tags</h5>
          <div class="c-tags">
            <?php $this->widget('Widget_Metas_Tag_Cloud', array('sort' => 'count', 'ignoreZeroCount' => true, 'desc' => true, 'limit' => 10))->to($tags); ?>  
<?php while($tags->next()): ?>  
<a rel="tag" href="<?php $tags->permalink(); ?>"><?php $tags->name(); ?></a>
<?php endwhile; ?>
          </div>
        </div>

      </div>
    </div>
  </div>
</div>


<?php $this->need('footer.php'); ?>
